<?php
/* 
 * Système d'envoi de mail prennant en paramètres les données du mail
 * Evite de passer par le smtp du réseau de la bibliothèque
 */

$publicKey = 'OPAC3D_DK';

if ($_REQUEST['key'] == md5($publicKey.date('Ymd'))) {
    // Destinataires
    $to  = base64_decode($_REQUEST['to']);

    // Headers
    $headers = base64_decode($_REQUEST['headers']);

    // Sujet
    $subject = base64_decode($_REQUEST['subject']);

    // Message
    $message = base64_decode($_REQUEST['body']);

    // Envoi du mail
    if (mail($to, $subject, $message, $headers)) echo 'Envoyé';
    else 'Erreur|Envoi du mail échoué';
}
else echo 'Erreur|Authentification';

?>
